/****************************************************************************
   Copyright (C) 2008-2009, Orcan Ogetbil. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*****************************************************************************/

#include <KApplication>
#include <KAboutData>
#include <KCmdLineArgs>
#include "mainwindow.h"
#include "version.h"

int main (int argc, char *argv[])
{
  KAboutData aboutData( "melek", 0,
			ki18n("Melek"), VERSION,
			ki18n("A simple board game"),
			KAboutData::License_GPL,
			ki18n("Copyright (c) 2009 Orcan Ogetbil") );
  KCmdLineArgs::init( argc, argv, &aboutData );
  
  KApplication app;
  
  MainWindow* window = new MainWindow();
  window->show();
  
  return app.exec();
}
