/****************************************************************************
   Copyright (C) 2008-2009, Orcan Ogetbil. All rights reserved.

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*****************************************************************************/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H
#include <KXmlGuiWindow>
#include <kbuttongroup.h>
#include <kpushbutton.h>
#include <vector>
#include <QLCDNumber>
#include "melekgame.h"

using namespace std;
using namespace blueangel;

/*
class PushButton : public KPushButton
{
  Q_OBJECT

  private: 
   const long my_id;
  
  private slots:
   valChange (int value) { emit valueChanged(value, my_id); }
 
  public:
   SpinBox (long id, <same parameters as to QSpinBox>)
     : QSpinBox(...),
     my_id(id)
     {
       connect(this, SIGNAL(valueChanged(int)),
	       this, SLOT(valChange(int)));
     }

  signals:
   valueChanged (int value, long id);

}
*/

class MainWindow : public KXmlGuiWindow
{
 Q_OBJECT

 public:
  MainWindow(QWidget *parent=0);

  QLCDNumber *lcdNumber1;
  QLCDNumber *lcdNumber2;
  KButtonGroup* butgrp;


 public slots:
  //void clicked(const QString &text);
  void restart();
  void showSettings();
  void updateSettings();


 private:
  //vector< vector< KPushButton* > > buttonell;
  QGroupBox *player1scorebox;
  QGroupBox *player2scorebox;

  MelekGame *m_melek;
  ////Board *m_board;
  ////int difficulty;
  ////int dimension;
  ////void setScore(int player1score, int player2score);
  ////int players;
  ////int turn;
  ////void gameOn(int index1, int index2, int value);
  ////void colorize(int playerturn, int element);

  ////int temprow;
  ////int tempcol;
  ////int score1;
  ////int score2;
  ////int getElementFromAI(int& coord_row, int& coord_col);

  int length;
  int spacing;
  ////void initializeGame();
  void setupActions();
  ////void restartGame(int size);
};


#endif
